# Uses of Interface
org.apache.lucene.util.automaton.TransitionAccessor

Packages that use TransitionAccessor
Package
Description
org.apache.lucene.util.automaton
Finite-state automaton for regular expressions.

- ## Uses of TransitionAccessor in org.apache.lucene.util.automaton

  Classes in org.apache.lucene.util.automaton that implement TransitionAccessor
  Modifier and Type
  Class
  Description
  `class`
  `Automaton`
  Represents an automaton and all its states and transitions.
  `class`
  `NFARunAutomaton`
  A RunAutomaton that does not require DFA.
  Methods in org.apache.lucene.util.automaton that return TransitionAccessor
  Modifier and Type
  Method
  Description
  `TransitionAccessor`
  CompiledAutomaton.`getTransitionAccessor()`
  Get a `TransitionAccessor` instance, it will be different depending on whether a NFA or DFA is passed in, and does not guarantee returning non-null object